<?php
session_start(); 
   include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/

     header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
	
	
	@$id_cd=$_POST['listacd'];
		@$sepa=$_POST['separar'];
 $q1 = "SELECT idusuarios_ci, nombre FROM usuarios_ci";

	   $consultada1 = mysqli_query($conexion, $q1) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion)); 
	   
echo"<form name=\"Agrega\" action=\"invinic.php\" method=\"post\"><br><br><center>
<label style='color:#5C3C12; font-size:28px; font-weight:bold'>Reiniciar Stock de CD</label><br><br>
Selecciona un centro: <select name = \"listacd\">";

							while ($datos = mysqli_fetch_array($consultada1))
							{echo "<option value=\"".$datos[0]."\">".$datos[0]." ".$datos[1]."</option>\n";}
							echo"</select><br><br><input type=\"submit\" name=\"generar\" id=\"aceptar\" value=\"Reiniciar Stock\" disabled/></form>";	
							
							
							
						   $consultada2 = mysqli_query($conexion, $q1) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion)); 	
							
							    
echo"<form name=\"Agrega\" action=\"existencias.php\" method=\"post\"><br><br><center>
<label style='color:#5C3C12; font-size:28px; font-weight:bold'>Existencias en Stock</label><br><br>
Selecciona un centro: <select name = \"listacd\"><option value=\"0\">Todos</option><br>";

							while ($datos = mysqli_fetch_array($consultada2))
							{echo "<option value=\"".$datos[0]."\">".$datos[0]." ".$datos[1]."</option>\n";}
							echo"</select><br><input type=\"checkbox\" name=\"separar\" value=1> Separar por producto <input type=\"checkbox\" name=\"separar\" value=2> Separar por CD<br><input type=\"submit\" name=\"generar\" id=\"aceptar\" value=\"Generar Compras\" /></form>";







  if(isset($id_cd)){
	  
	  
	  if($id_cd==0){if($sepa>=1){
		  if($sepa==1){$test="nombreProd";}
		  if($sepa==2){$test="idcd";}
		  $qPP = "select idcd, id_prod, nombreProd, sum(cantidad) as cantidad, precio, puntos from stock join productos on stock.idprod=productos.id_prod where (idcd=12 or idcd=8 or idcd=90 or idcd=53 or idcd=54 or idcd=17 or idcd=5) group by id_prod, idcd order by $test";}else
		  
		 { $qPP = "select id_prod, nombreProd, sum(cantidad) as cantidad, precio, puntos from stock join productos on stock.idprod=productos.id_prod where (idcd=12 or idcd=8 or idcd=90 or idcd=53 or idcd=54 or idcd=17 or idcd=5) group by id_prod order by nombreProd";}
	  }else{
$qPP = "select id_prod, nombreProd, cantidad, precio, puntos from stock join productos on stock.idprod=productos.id_prod where idcd='$id_cd' order by id_prod";
	  }
$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));

if(mysqli_affected_rows($conexion))
{


echo "<center><br><br><b> Lista de Existencias de Producto CD: $id_cd";if($id_cd==0){echo"5,8,12,17,53,54,90";} echo"</b><br><br><table border=\"1\">
<th>CD</th><th>ID</th><th>Descripci&oacute;n</th><th>Precio</th><th>Puntos</th><th>Cantidad</th>";


while (($objetoPP=mysqli_fetch_object($rPP)) )

{

	echo "<tr>

	
			<td align=\"center\">$objetoPP->idcd</td><td align=\"center\">$objetoPP->id_prod</td> <td align=\"center\">$objetoPP->nombreProd</td>
			<td align=\"center\">$ $objetoPP->precio</td><td align=\"center\">$objetoPP->puntos</td>
			<td align=\"center\" bgcolor=\"#e8d78d\">$objetoPP->cantidad</td>

		

		  </tr> 

		 ";

   

}

	echo"</table></center>";   }
	else{
	echo"<center><br><br><b>No cuentas con producto dado de alta en sistema</b><br>
	Ingresa a alta de productos para hacer las altas";	
	}
  }
?>

